#!/gnuplot
reset
set encoding default
set grid front
set border -1 back
set view 60, 35, 1, 1
set xyplane relative 0
set xtics 1
set ytics 1
set ztics 1
set cbtics border in scale 1,0.5 mirror norotate  autojustify
set cbtics  norangelimit 
set cbtics   ("-π" -3.14159, "π" 3.14159)
set title "EllipticK ({/Times:Italic x} + i {/Times:Italic y})" 
set xlabel "Real" offset 0,-1 rotate parallel
set xrange [ -2.0: 2.0] noreverse writeback
set ylabel "Imaginary" offset 0,-0.5 rotate parallel
set yrange [ -2.0: 2.0] noreverse writeback
set zlabel "Magnitude" offset 3 rotate
set zrange [ 1.0: 4.0] noreverse writeback
set cblabel "Phase angle" offset character -2 rotate
set cbrange [ -3.14159 : 3.14159 ]
set palette positive nops_allcF maxcolors 0 gamma 1.5 color model HSV 
set palette defined ( 0 0 1 1, 1 1 1 1 )
#set palette defined ( 0 0.5 1 1, 0.5 1 1 1, 0.5 0 1 1, 1 0.5 1 1)
set colorbox default
set colorbox vertical origin screen 0.9, 0.2 size screen 0.05, 0.6 front
set style boxplot candles range  1.50 outliers pt 7 separation 1 labels auto unsorted
### plot to image file
set terminal png size 1920,1440 interlace transparent truecolor enhanced font arial 36
set output "cEllipticK-pm3D.png"
### alternative plot 
#set border 0x37f front
#set grid front
#set view 60, 120, 1, 1
#set ytics 1 offset -0.8,-0.4
#set xrange [ -1.0: 1.0] noreverse writeback
#set yrange [ -1.0: 1.0] noreverse writeback
#set zrange [ 0.0: 1.4] noreverse writeback
#set ylabel "Imaginary" rotate parallel offset character -1.6,-0.8
#set palette defined ( 0 0.5 1 1, 0.5 1 1 1, 0.5 0 1 1, 1 0.5 1 1)
#set terminal png size 1920,1440 interlace transparent truecolor enhanced font arial 36
#set output "elliptick3d.png"
###
splot "cEllipticK3d-polar.txt" with pm3d t ""
set output
#    EOF
